# IsSetCondition

Extends \ProjectComponent Implements \Condition

Condition that tests whether a given property has been set.

author | Hans Lellelid hans@xmpl.org (Phing)
author | Stefan Bodewig stefan.bodewig@epost.de (Ant)
version | $Id: e2ad6d80f1e516b7d6bf6a0e384705450b0a2862 $
package | phing.tasks.system.condition

### Methods

## Check whether property is set.

    evaluate() : boolean

throws |

### Response

`boolean`

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## setProperty

    setProperty( $p)

### Arguments

#### $p

``

### Properties

## property

    property :

### Type(s)

``

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`